Subject: Re: R_PPC_ADDR16_HI relocs in PPC modules ?

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 03 Jan 2007 07:41:26 +1100

On Tue, 2007-01-02 at 17:25 +0100, Simon Vallet wrote:
> Hi,
> 
> I'm currently trying to port a binary-only driver to Linux/PPC using a
> MacOS X driver as a starting point. "Translating" this driver to ELF32
> gives an object that links into a .ko without too much problems.
> 
> However, trying to insmod the resulting object gives the following
> error message:
> 
> unknown ADD relocation: 5

We only add relocation to the kernel loader as we need them... since
this relocation has never been generated so far for in kernel modules it
wasn't added...

BTW. What is this evil^H^H^H^Hbinary driver you are talking about ?

Ben.